Subject: LSPID for Segment Recovery

From: "Bardalai, Snigdho" <[email-masked]>
Date: Thu, 24 Jan 2008 17:27:16 -0600

Hi,

I have a doubt on the relationship between LSPID and association ID for tunnels with segment recovery. Would appreciate it if someone could clarify.

RFC4872 suggests using the working LSP's LSPID as the association ID in the ASSOCIATION object for the recovery LSP and the reverse for the working LSP and RFC4873 requires the use of this definition as per the following extract:

2.  Segment Recovery

   snip ...... snip

   When [RFC4090] isn't being used, the association between segment
   recovery LSPs with other LSPs is indicated using the ASSOCIATION
   object defined in [RFC4872]

   snip......

I would expect this definition includes the way the association ID value should be assigned, is my understanding correct? 

I can understand how the ASSOCIATION object for the recovery LSP can have its association ID set to the working LSP LSPID but it may not be possible for the reverse since there could be multiple recovery LSP segments. 

I would like to understand what should the working LSP association ID be in case of segment recovery, should it be set to its own LSPID?

Also, my understanding is that the association ID needs to be unique in the context of the association source, if that is the case does it mean if LSPID is used as the association ID then the LSPID should also be unique in the context of the association source rather than the context of a tunnel.

Thanks,
Snigdho